import DualExpression from "./cron/DualExpression";
import StringLiteral from "./cron/StringLiteral";
import { SyntaxNode } from "./cron";
/**
 * Convenience method to build an interval expression.
 * @param lhs The value to repeat
 * @param step The step value
 * @return A step expression
 */
export declare function stepExpr(lhs: SyntaxNode, step: StringLiteral): DualExpression;
/**
 * Convenience function to build a range expression.
 * @param start The start value
 * @param end The end value
 */
export declare function rangeExpr(start: SyntaxNode, end: SyntaxNode): DualExpression;
/**
 * Alias node for the * value
 */
export declare const everyExpr: StringLiteral;
/**
 * Alias node for the ? value
 */
export declare const anyExpr: StringLiteral;
