"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var chevrotain=require("chevrotain"),extendStatics=function(e,r){return(extendStatics=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,r){e.__proto__=r}||function(e,r){for(var t in r)r.hasOwnProperty(t)&&(e[t]=r[t])})(e,r)};
/*! *****************************************************************************
Copyright (c) Microsoft Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */function __extends(e,r){function t(){this.constructor=e}extendStatics(e,r),e.prototype=null===r?Object.create(r):(t.prototype=r.prototype,new t)}var __assign=function(){return(__assign=Object.assign||function(e){for(var r,t=1,n=arguments.length;t<n;t++)for(var o in r=arguments[t])Object.prototype.hasOwnProperty.call(r,o)&&(e[o]=r[o]);return e}).apply(this,arguments)};function __spreadArrays(){for(var e=0,r=0,t=arguments.length;r<t;r++)e+=arguments[r].length;var n=Array(e),o=0;for(r=0;r<t;r++)for(var i=arguments[r],s=0,a=i.length;s<a;s++,o++)n[o]=i[s];return n}function genVocabulary(e){return e.reduce((function(e,r){return e[r.name]=r,e}),{})}var whiteSpace=chevrotain.createToken({name:"whiteSpace",pattern:/\s+/,group:chevrotain.Lexer.SKIPPED}),identifier=chevrotain.createToken({name:"identifier",pattern:chevrotain.Lexer.NA}),months=chevrotain.createToken({name:"months",pattern:/JAN|FEB|MAR|APR|MAY|JUN|JUL|AUG|SEP|OCT|NOV|DEC/,categories:[identifier]}),days=chevrotain.createToken({name:"days",pattern:/SUN|MON|TUE|WED|THU|FRI|SAT/,categories:[identifier]}),dash=chevrotain.createToken({name:"dash",pattern:/-/}),slash=chevrotain.createToken({name:"slash",pattern:/\//}),comma=chevrotain.createToken({name:"comma",pattern:/,/}),integer=chevrotain.createToken({name:"integer",pattern:/[0-9]{1,2}/,categories:[identifier]}),every=chevrotain.createToken({name:"every",pattern:/\*/,categories:[identifier]}),baseTokens=[whiteSpace,identifier,months,days,dash,slash,comma,integer,every],baseVocabulary=genVocabulary(baseTokens),BaseCstParser=function(e){function r(r,t){void 0===t&&(t=!1);var n=e.call(this,r)||this;return n.cronExpression=n.RULE("cronExpression",(function(){n.SUBRULE1(n.expression,{LABEL:"minutes"}),n.SUBRULE2(n.expression,{LABEL:"hours"}),n.SUBRULE3(n.expression,{LABEL:"dom"}),n.SUBRULE4(n.expression,{LABEL:"month"}),n.SUBRULE5(n.expression,{LABEL:"dow"})})),n.expression=n.RULE("expression",(function(){n.AT_LEAST_ONE_SEP({SEP:comma,DEF:function(){return n.SUBRULE(n.exprNotUnion)}})})),n.exprNotUnion=n.RULE("exprNotUnion",(function(){n.CONSUME(identifier,{LABEL:"lhs"}),n.SUBRULE(n.atomicExpr)})),n.atomicExpr=n.RULE("atomicExpr",(function(){n.OPTION1({DEF:function(){return n.SUBRULE1(n.range)}}),n.OPTION2({DEF:function(){return n.SUBRULE2(n.interval)}})})),n.interval=n.RULE("interval",(function(){n.CONSUME1(slash),n.CONSUME2(identifier,{LABEL:"rhs"})})),n.range=n.RULE("range",(function(){n.CONSUME1(dash),n.CONSUME2(identifier,{LABEL:"rhs"})})),t||n.performSelfAnalysis(),n}return __extends(r,e),r}(chevrotain.CstParser),DualExpression=function(){function e(e,r,t){this._rhs=r,this._lhs=e,this._separator=t}return e.prototype.value=function(){return""+this._lhs.value()+this._separator+this._rhs.value()},e}(),StringLiteral=function(){function e(e){this._value=e}return e.prototype.value=function(){return this._value},e}();function stepExpr(e,r){return new DualExpression(e,r,"/")}function rangeExpr(e,r){return new DualExpression(e,r,"-")}var CronixMode,everyExpr=new StringLiteral("*"),anyExpr=new StringLiteral("?"),CronExpression=function(){function e(e,r,t,n,o){void 0===e&&(e=everyExpr),void 0===r&&(r=everyExpr),void 0===t&&(t=everyExpr),void 0===n&&(n=everyExpr),void 0===o&&(o=everyExpr),this._dow=o,this._minute=e,this._hour=r,this._dom=t,this._month=n}return Object.defineProperty(e.prototype,"minute",{get:function(){return this._minute},set:function(e){this._minute=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hour",{get:function(){return this._hour},set:function(e){this._hour=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dom",{get:function(){return this._dom},set:function(e){this._dom=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"month",{get:function(){return this._month},set:function(e){this._month=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dow",{get:function(){return this._dow},set:function(e){this._dow=e},enumerable:!0,configurable:!0}),e.prototype.value=function(){return this._minute.value()+" "+this._hour.value()+" "+this._dom.value()+" "+this._month.value()+" "+this._dow.value()},e}(),Field=function(){function e(e){this._exprs=e}return e.prototype.value=function(){return this._exprs.map((function(e){return e.value()})).join(",")},e}(),abstractVisitor=function(e){return function(e){function r(){for(var r=[],t=0;t<arguments.length;t++)r[t]=arguments[t];var n=e.call(this,r)||this;return n.validateVisitor(),n}return __extends(r,e),r.prototype.cronExpression=function(e){var r=new CronExpression;return r.minute=this.visit(e.minutes),r.hour=this.visit(e.hours),r.dom=this.visit(e.dom),r.month=this.visit(e.month),r.dow=this.visit(e.dow),r},r.prototype.expression=function(e){var r=this,t=e.exprNotUnion.map((function(e){return r.visit(e)}));return new Field(t)},r.prototype.exprNotUnion=function(e){var r=new StringLiteral(e.lhs[0].image);return this.visit(e.atomicExpr,r)},r.prototype.atomicExpr=function(e,r){var t=r;if(e.range){var n=this.visit(e.range),o=Number(r.value()),i=Number(n.value());if(!isNaN(o)&&!isNaN(i)&&o>i)throw new Error("Left-hand side range value must be smaller than right-hand side");t=rangeExpr(r,n)}return e.interval&&(t=stepExpr(t,this.visit(e.interval))),t},r.prototype.interval=function(e){return new StringLiteral(e.rhs[0].image)},r.prototype.range=function(e){return new StringLiteral(e.rhs[0].image)},r}(e)},CronCstParser=function(e){function r(){return e.call(this,baseVocabulary)||this}return __extends(r,e),r}(BaseCstParser),CronVisitorConstructor=abstractVisitor((new CronCstParser).getBaseCstVisitorConstructor()),CronVisitor=function(e){function r(){return e.call(this,CronVisitorConstructor)||this}return __extends(r,e),r}(CronVisitorConstructor);!function(e){e.CRONTAB="Crontab",e.QUARTZ="Quartz",e.JENKINS="Jenkins"}(CronixMode||(CronixMode={}));var CronixMode$1=CronixMode,roundTime=chevrotain.createToken({name:"roundTime",pattern:/H/,categories:[identifier]}),jenkinsTokens=__spreadArrays(baseTokens,[roundTime]),jenkinsVocabulary=genVocabulary(jenkinsTokens),JenkinsCstParser=function(e){function r(){var r=e.call(this,jenkinsVocabulary,!0)||this;return r.performSelfAnalysis(),r}return __extends(r,e),r}(BaseCstParser),JenkinsVisitorConstructor=abstractVisitor((new JenkinsCstParser).getBaseCstVisitorConstructor()),JenkinsVisitor=function(e){function r(){return e.call(this,JenkinsVisitorConstructor)||this}return __extends(r,e),r}(JenkinsVisitorConstructor),anyToken=chevrotain.createToken({name:"anyToken",pattern:/\?/,categories:[identifier]}),sharp=chevrotain.createToken({name:"sharp",pattern:/#/}),last=chevrotain.createToken({name:"last",pattern:/L/,categories:[identifier]}),weekday=chevrotain.createToken({name:"weekday",pattern:/W/,categories:[identifier]}),quartzTokens=__spreadArrays(baseTokens,[anyToken,sharp,last,weekday]),quartzVocabulary=genVocabulary(quartzTokens),QuartzCstParser=function(e){function r(){var r=e.call(this,quartzVocabulary,!0)||this;return r.cronExpression=r.OVERRIDE_RULE("cronExpression",(function(){r.SUBRULE1(r.expression,{LABEL:"second"}),r.SUBRULE2(r.expression,{LABEL:"minutes"}),r.SUBRULE3(r.expression,{LABEL:"hours"}),r.SUBRULE4(r.expression,{LABEL:"dom"}),r.SUBRULE5(r.expression,{LABEL:"month"}),r.SUBRULE6(r.expression,{LABEL:"dow"}),r.OPTION({DEF:function(){return r.SUBRULE7(r.expression,{LABEL:"year"})}})})),r.exprNotUnion=r.OVERRIDE_RULE("exprNotUnion",(function(){r.CONSUME(identifier,{LABEL:"lhs"}),r.OPTION({DEF:function(){return r.OR([{ALT:function(){return r.SUBRULE(r.dow)}},{ALT:function(){return r.SUBRULE(r.atomicExpr)}}])}})})),r.dow=r.RULE("dow",(function(){r.OR([{ALT:function(){return r.CONSUME(last,{LABEL:"occurence"})}},{ALT:function(){r.CONSUME1(sharp),r.CONSUME2(integer,{LABEL:"occurence"})}}])})),r.performSelfAnalysis(),r}return __extends(r,e),r}(BaseCstParser),QuartzCronExpression=function(e){function r(r,t,n,o,i,s,a){void 0===r&&(r=everyExpr),void 0===t&&(t=everyExpr),void 0===n&&(n=everyExpr),void 0===o&&(o=everyExpr),void 0===i&&(i=anyExpr),void 0===s&&(s=everyExpr),void 0===a&&(a=everyExpr);var u=e.call(this,r,t,n,o,i)||this;return u._second=s,u._year=a,u}return __extends(r,e),r.prototype.value=function(){return this.second.value()+" "+e.prototype.value.call(this)+" "+this.year.value()},Object.defineProperty(r.prototype,"second",{get:function(){return this._second},set:function(e){this._second=e},enumerable:!0,configurable:!0}),Object.defineProperty(r.prototype,"year",{get:function(){return this._year},set:function(e){this._year=e},enumerable:!0,configurable:!0}),r}(CronExpression),InvalidValueException=function(e){function r(){return null!==e&&e.apply(this,arguments)||this}return __extends(r,e),r}(Error),DayOfWeekExpr=function(){function e(e,r){this._leftValue=e,this._occurrence=r}return e.prototype.value=function(){var e=this._occurrence<5?"#"+this._occurrence:"L";return""+this._leftValue.value()+e},Object.defineProperty(e.prototype,"occurrence",{get:function(){return this._occurrence},set:function(e){if(e>5)throw new InvalidValueException("Occurrence value in Day of week expression should be less than or equal to 5");this._occurrence=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"leftValue",{get:function(){return this._leftValue},set:function(e){this._leftValue=e},enumerable:!0,configurable:!0}),e}(),QuartzVisitorConstructor=abstractVisitor((new QuartzCstParser).getBaseCstVisitorConstructor()),QuartzVisitor=function(e){function r(){var r=e.call(this,QuartzVisitorConstructor,!0)||this;return r.validateVisitor(),r}return __extends(r,e),r.prototype.cronExpression=function(e){var r=new QuartzCronExpression;return e.second&&(r.second=this.visit(e.second)),r.minute=this.visit(e.minutes),r.hour=this.visit(e.hours),r.dom=this.visit(e.dom),r.month=this.visit(e.month),r.dow=this.visit(e.dow),e.year&&(r.year=this.visit(e.year)),r},r.prototype.exprNotUnion=function(e){var r=new StringLiteral(e.lhs[0].image);return e.dow?this.visit(e.dow,r):this.visit(e.atomicExpr,r)},r.prototype.dow=function(e,r){var t="L"===e.occurence[0].image?5:parseInt(e.occurence[0].image,10);if(t>5)throw new InvalidValueException("Occurrence value in Day of week expression should be less than or equal to 5");return new DayOfWeekExpr(r,t)},r}(QuartzVisitorConstructor);function convertToString(e,r){var t=r.mode;if("string"==typeof e)return e;var n=[e.minute||"*",e.hour||"*",e.dayOfMonth||"*",e.month||"*",e.dayOfWeek||"*"];switch(t){case CronixMode$1.QUARTZ:var o=[e.second||"0"].concat(n);return e.year&&o.push(e.year),o.join(" ");case CronixMode$1.JENKINS:case CronixMode$1.CRONTAB:default:return n.join(" ")}}!function(e){e.LEXING="lexing",e.PARSING="parsing",e.SEMANTIC="semantic"}(exports.ParserStep||(exports.ParserStep={}));var CronixParser=function(){function e(e,r,t){void 0===e&&(e={mode:CronixMode$1.CRONTAB,tokens:baseTokens}),this.mode=e.mode,this._lexer=new chevrotain.Lexer(e.tokens),this._parser=r,this._visitor=t,this.parse=this.parse.bind(this),this.reset=this.reset.bind(this)}return e.prototype.parse=function(e){var r=this;this.reset();var t=convertToString(e,{mode:this.mode});this._lexer.tokenize(t).errors.forEach((function(e){return r._errors.push({name:"LexingError",message:e.message,innerException:e,step:exports.ParserStep.LEXING})})),this._parser.input=this._lexer.tokenize(t).tokens;var n=this._parser.cronExpression();if(this._parser.errors.length>0)return this._parser.errors.map((function(e){return r._errors.push(__assign(__assign({},e),{innerException:e,step:exports.ParserStep.PARSING}))})),null;try{return this._visitor.visit(n)}catch(e){return this._errors.push(__assign(__assign({},e),{innerException:e,step:exports.ParserStep.SEMANTIC})),null}},e.prototype.parseField=function(e){var r=this;this.reset(),this._lexer.tokenize(e).errors.forEach((function(e){return r._errors.push({name:"LexingError",message:e.message,innerException:e,step:exports.ParserStep.LEXING})})),this._parser.input=this._lexer.tokenize(e).tokens;var t=this._parser.expression();if(this._parser.errors.length>0)return this._parser.errors.map((function(e){return r._errors.push(__assign(__assign({},e),{innerException:e,step:exports.ParserStep.PARSING}))})),null;try{return this._visitor.visit(t)}catch(e){return this._errors.push(__assign(__assign({},e),{innerException:e,step:exports.ParserStep.SEMANTIC})),null}},e.prototype.reset=function(){this._errors=[]},Object.defineProperty(e.prototype,"lexer",{get:function(){return this._parser},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parser",{get:function(){return this._parser},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"visitor",{get:function(){return this._visitor},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"errors",{get:function(){return this._errors},enumerable:!0,configurable:!0}),e}(),CronParser=function(e){function r(){return e.call(this,{mode:CronixMode$1.CRONTAB,tokens:baseTokens},new CronCstParser,new CronVisitor)||this}return __extends(r,e),r}(CronixParser),QuartzParser=function(e){function r(){return e.call(this,{mode:CronixMode$1.QUARTZ,tokens:quartzTokens},new QuartzCstParser,new QuartzVisitor)||this}return __extends(r,e),r}(CronixParser),JenkinsParser=function(e){function r(){return e.call(this,{mode:CronixMode$1.JENKINS,tokens:jenkinsTokens},new JenkinsCstParser,new JenkinsVisitor)||this}return __extends(r,e),r}(CronixParser);function getParser(e){switch(e){case CronixMode$1.JENKINS:return new JenkinsParser;case CronixMode$1.QUARTZ:return new QuartzParser;case CronixMode$1.CRONTAB:default:return new CronParser}}function cronix(e,r){void 0===r&&(r=CronixMode$1.CRONTAB);var t=getParser(r),n=t.parse(e);return{ast:t.errors.length>0?null:n,errors:t.errors}}exports.AbstractVisitorConstructor=abstractVisitor,exports.BaseCstParser=BaseCstParser,exports.CronExpression=CronExpression,exports.CronParser=CronParser,exports.CronixMode=CronixMode$1,exports.CronixParser=CronixParser,exports.DualExpression=DualExpression,exports.Expression=Field,exports.JenkinsParser=JenkinsParser,exports.QuartzParser=QuartzParser,exports.StringLiteral=StringLiteral,exports.anyExpr=anyExpr,exports.baseTokens=baseTokens,exports.baseVocabulary=baseVocabulary,exports.comma=comma,exports.convertToString=convertToString,exports.cronix=cronix,exports.dash=dash,exports.days=days,exports.every=every,exports.everyExpr=everyExpr,exports.genVocabulary=genVocabulary,exports.identifier=identifier,exports.integer=integer,exports.months=months,exports.rangeExpr=rangeExpr,exports.slash=slash,exports.stepExpr=stepExpr,exports.whiteSpace=whiteSpace;
